package dao

import "code.fnuoos.com/EggPlanet/egg_models.git/src/model"

type EggEnergyPriceDao interface {
	EggEnergyPriceList(startAt string, endAt string, hour string) ([]model.EggEnergyPrice, error)
	EggEnergyPriceGetLastOne() (*model.EggEnergyPrice, bool, error)
	EggEnergyPriceInsert(eggEnergyPrice *model.EggEnergyPrice) (int64, error)
	EggEnergyPriceUpdate(eggEnergyPrice *model.EggEnergyPrice) (int64, error)
}
