package dao

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	"xorm.io/xorm"
)

type UserDao interface {
	UserGetOneByParams(params map[string]interface{}) (*model.User, error)
	UserFindByParams(params map[string]interface{}) ([]model.User, error)
	UserUpdateBySession(session *xorm.Session, id interface{}, user *model.User, forceColumns ...string) (int64, error)
	UserFindAndCount(uid int64, phone string, nickname string, level int, page, limit int) (*[]model.User, int64, error)
}
